
question_bank_subject:
    path:     /list/{maxItemPerPage}/{subject}
    defaults: { _controller: "AppBundle:QuestionBank:index",maxItemPerPage:10}
question_bank:
    path:     /
    defaults: { _controller: "AppBundle:QuestionBank:selectSubject" }
question_bank_show:
    path:     /{id}/show/{subject}
    defaults: { _controller: "AppBundle:QuestionBank:show" }

question_bank_new:
    path:     /new/{subject}/{qsttype}
    defaults: { _controller: "AppBundle:QuestionBank:new" }
    requirements:
        qsttype:  objective|descriptive
question_bank_create:
    path:     /create/{subject}/{qsttype}
    defaults: { _controller: "AppBundle:QuestionBank:create" }
    methods:  POST
    requirements:
        qsttype:  objective|descriptive
question_bank_edit:
    path:     /{id}/edit/{subject}/{qsttype}
    defaults: { _controller: "AppBundle:QuestionBank:edit" }
    requirements:
        qsttype:  objective|descriptive
question_bank_update:
    path:     /{id}/update/{subject}/{qsttype}
    defaults: { _controller: "AppBundle:QuestionBank:update" }
    methods:  [POST, PUT]
    requirements:
        qsttype:  objective|descriptive
#question_bank_delete:
#    path:     /{id}/delete
#    defaults: { _controller: "AppBundle:QuestionBank:delete" }
#    methods:  [POST, DELETE]
question_bank_delete:
    path:     /{id}/delete
    defaults: { _controller: "AppBundle:QuestionBank:deleteQuestion" }
    methods:  [POST, DELETE]
